Subject: Re: SWI-Prolog bug report

From: Jan Wielemaker <[email-masked]>
Date: Mon, 21 Jan 2002 17:28:36 +0100

[ Replied to mailing list, maybe people with more experience on the Darwin OS 
]

On Monday 21 January 2002 16:55, you wrote:
> A bug report for SWI-Prolog has arrived:
>
> 	From:	     Axel T. Schreiner <[email-masked]>
> 	Id:	     102012101
> 	Priority:    high
> 	Attachtment:
>
> configure has an error.
> compilation of pl-wam.c has tons of errors.

<snip>

checking build system type... powerpc-apple-darwin5.2
....
checking "for label addresses"... yes

> checking "Boot filename"... boot32.prc
> checking "Static include of __register_frame_info"... ar: libgcc.a: No such
> file or directory no

This is fine

> config.status: creating config.h
> ../src/configure: parse error [9222]
> ../src/configure: parse error near `fi' [9222]

This looks like a bug in your shell.  Just have a look at configure
at that place (line 9222).  If you can find the bug, inform me.  Good
point is that all the real work has been done at this point, so it
shouldn't affect the build.

> pl-index.c:43: warning: redefinition of macro MASK
> /usr/include/ppc/param.h:120: warning: this is the location of the previous

This is slightly worrying.  You can rename MASK (used in pl-index.c,
included from pl-wam.c) into something different.

> definition pl-wam.c:1748: illegal expression, found `&&'
> pl-wam.c:1749: illegal expression, found `&&'

<lots and lots more>

This seems to contradict with "checking "for label addresses"... yes".
You might get away setting O_LABEL_ADDRESSES to 0 in the created config.h,
but I really wonder why the test compiles and the real thing not.  I know
gcc doesn't support this extension when passed the -ansi flag, but that
doesn't appear to happen.

Hope this helps.  Please keep me posted, so if we find out what happens
I can fix it to avoid this trouble in the future.

	Regards --- Jan